Get a leave transaction
curl --request GET \
--url https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Leave Transactions
Get a leave transaction
Retrieve a single leave transaction within a balance ledger.
GET
/
v1
/
leave-balances
/
{leave_balance_id}
/
transactions
/
{id}
Get a leave transaction
Parameters
string
required
The leave balance that owns the transaction.
string
required
The ID of the leave transaction to retrieve.
Returns
Returns the Leave Transaction object if valid IDs were provided.Was this page helpful?
⌘I